net.sf.jasperreports.engine.export

## Class JExcelApiMetadataExporter.StyleInfo

- java.lang.Object
- - net.sf.jasperreports.engine.export.JExcelApiMetadataExporter.StyleInfo

- Enclosing class:
    JExcelApiMetadataExporter

      protected class JExcelApiMetadataExporter.StyleInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected jxl.format.Colour` | `backcolor`
    `protected JExcelApiMetadataExporter.BoxStyle` | `box`
    `protected jxl.write.WritableFont` | `font`
    `protected int` | `horizontalAlignment`
    `protected boolean` | `isCellLocked`
    `protected boolean` | `isWrapText`
    `protected jxl.format.Pattern` | `mode`
    `protected int` | `rotation`
    `protected int` | `verticalAlignment`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JExcelApiMetadataExporter.StyleInfo(jxl.format.Pattern mode, jxl.format.Colour backcolor, int horizontalAlignment, int verticalAlignment, int rotation, jxl.write.WritableFont font, JExcelApiMetadataExporter.BoxStyle box)`
    `protected` | `JExcelApiMetadataExporter.StyleInfo(jxl.format.Pattern mode, jxl.format.Colour backcolor, int horizontalAlignment, int verticalAlignment, int rotation, jxl.write.WritableFont font, JExcelApiMetadataExporter.BoxStyle box, boolean wrapText)`
    `protected` | `JExcelApiMetadataExporter.StyleInfo(jxl.format.Pattern mode, jxl.format.Colour backcolor, int horizontalAlignment, int verticalAlignment, int rotation, jxl.write.WritableFont font, JExcelApiMetadataExporter.BoxStyle box, boolean wrapText, boolean cellLocked)`
    `protected` | `JExcelApiMetadataExporter.StyleInfo(jxl.format.Pattern mode, jxl.format.Colour backcolor, int horizontalAlignment, int verticalAlignment, int rotation, jxl.write.WritableFont font, JRBoxContainer element)`
    `protected` | `JExcelApiMetadataExporter.StyleInfo(jxl.format.Pattern mode, jxl.format.Colour backcolor, int horizontalAlignment, int verticalAlignment, int rotation, jxl.write.WritableFont font, JRBoxContainer element, boolean wrapText)`
    `protected` | `JExcelApiMetadataExporter.StyleInfo(jxl.format.Pattern mode, jxl.format.Colour backcolor, int horizontalAlignment, int verticalAlignment, int rotation, jxl.write.WritableFont font, JRBoxContainer element, boolean wrapText, boolean cellLocked)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `computeHash()`
    `boolean` | `equals(java.lang.Object o)`
    `jxl.biff.DisplayFormat` | `getDisplayFormat()`
    `int` | `hashCode()`
    `void` | `setDisplayFormat(jxl.biff.DisplayFormat displayFormat)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mode

          protected final jxl.format.Pattern mode

    - #### backcolor

          protected final jxl.format.Colour backcolor

    - #### horizontalAlignment

          protected final int horizontalAlignment

    - #### verticalAlignment

          protected final int verticalAlignment

    - #### rotation

          protected final int rotation

    - #### font

          protected final jxl.write.WritableFont font

    - #### box

          protected final JExcelApiMetadataExporter.BoxStyle box

    - #### isWrapText

          protected final boolean isWrapText

    - #### isCellLocked

          protected final boolean isCellLocked

  - ### Constructor Detail

    - #### JExcelApiMetadataExporter.StyleInfo

          protected JExcelApiMetadataExporter.StyleInfo(jxl.format.Pattern mode,
                                             jxl.format.Colour backcolor,
                                             int horizontalAlignment,
                                             int verticalAlignment,
                                             int rotation,
                                             jxl.write.WritableFont font,
                                             JRBoxContainer element)

    - #### JExcelApiMetadataExporter.StyleInfo

          protected JExcelApiMetadataExporter.StyleInfo(jxl.format.Pattern mode,
                                             jxl.format.Colour backcolor,
                                             int horizontalAlignment,
                                             int verticalAlignment,
                                             int rotation,
                                             jxl.write.WritableFont font,
                                             JRBoxContainer element,
                                             boolean wrapText)

    - #### JExcelApiMetadataExporter.StyleInfo

          protected JExcelApiMetadataExporter.StyleInfo(jxl.format.Pattern mode,
                                             jxl.format.Colour backcolor,
                                             int horizontalAlignment,
                                             int verticalAlignment,
                                             int rotation,
                                             jxl.write.WritableFont font,
                                             JRBoxContainer element,
                                             boolean wrapText,
                                             boolean cellLocked)

    - #### JExcelApiMetadataExporter.StyleInfo

          protected JExcelApiMetadataExporter.StyleInfo(jxl.format.Pattern mode,
                                             jxl.format.Colour backcolor,
                                             int horizontalAlignment,
                                             int verticalAlignment,
                                             int rotation,
                                             jxl.write.WritableFont font,
                                             JExcelApiMetadataExporter.BoxStyle box)

    - #### JExcelApiMetadataExporter.StyleInfo

          protected JExcelApiMetadataExporter.StyleInfo(jxl.format.Pattern mode,
                                             jxl.format.Colour backcolor,
                                             int horizontalAlignment,
                                             int verticalAlignment,
                                             int rotation,
                                             jxl.write.WritableFont font,
                                             JExcelApiMetadataExporter.BoxStyle box,
                                             boolean wrapText)

    - #### JExcelApiMetadataExporter.StyleInfo

          protected JExcelApiMetadataExporter.StyleInfo(jxl.format.Pattern mode,
                                             jxl.format.Colour backcolor,
                                             int horizontalAlignment,
                                             int verticalAlignment,
                                             int rotation,
                                             jxl.write.WritableFont font,
                                             JExcelApiMetadataExporter.BoxStyle box,
                                             boolean wrapText,
                                             boolean cellLocked)

  - ### Method Detail

    - #### computeHash

          protected void computeHash()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getDisplayFormat

          public jxl.biff.DisplayFormat getDisplayFormat()

    - #### setDisplayFormat

          public void setDisplayFormat(jxl.biff.DisplayFormat displayFormat)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com